STTY(1)

NÉV
stty - a terminál vonal beállításait változtatja meg, illetve írja ki

ÖSSZEGZÉS
stty [-F ESZKÖZ | --file=ESZKÖZ] [BEÁLLÍTÁS]...
stty [-F ESZKÖZ | --file=ESZKÖZ] [-a|--all]
stty [-F ESZKÖZ | --file=ESZKÖZ] [-g|--save]

LEÍRÁS

A terminál jellemzőinek kiírása vagy megváltoztatása.

A hosszú kapcsolók kötelező argumentumai a rövid kapcsolókhoz is kötelezők.

-a, --all
    Minden pillanatnyi beállítást ember által olvasható formában kiír.

-g, --save
    Az összes aktuális beállítás kiírása az stty által olvasható formában.

-F, --file=ESZKÖZ
    a megadott ESZKÖZ használata a szabványos bemenet helyett

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

A BEÁLLÍTÁSOK előtti elhagyható - tagadást jelöl. A * nem POSIX beállításokat jelöl. Az alapul szolgáló rendszer határozza meg az elérhető beállításokat.

  Speciális karakterek:

* discard KAR
    a KAR átváltja a kimenet eldobását

eof KAR
    CHAR will send an end of file (terminate the input)

eol KAR
    CHAR will end the line

* eol2 KAR
    alternate CHAR for ending the line

erase KAR
    CHAR will erase the last character typed

intr KAR
    CHAR will send an interrupt signal

kill KAR
    CHAR will erase the current line

* lnext KAR
    CHAR will enter the next character quoted

quit KAR
    CHAR will send a quit signal

* rprnt KAR
    CHAR will redraw the current line

start KAR
    CHAR will restart the output after stopping it

stop KAR
    CHAR will stop the output

susp KAR
    CHAR will send a terminal stop signal

* swtch KAR
    CHAR will switch to a different shell layer

* werase KAR
    CHAR will erase the last word typed

  Speciális beállítások:

N   set the input and output speeds to N bauds

* cols N
    Megmondja a kernelnek, hogy a terminálnak N oszlopa van.

* columns N
    Ugyanaz, mint cols N.

* [-]drain
    Várjon az átvitelre a beállítások alkalmazása előtt (alapesetben: on).

ispeed N
    A bemeneti sebességet N-re állítja.

* line N
    Az N vonal discipline-t használja.

min N
    with -icanon, set N characters minimum for a completed read

ospeed N
    A kimeneti sebességet N-re állítja.

* rows N
    Megmondja a kernelnek, hogy a terminálnak N sora van.

* size
    print the number of rows and columns according to the kernel

speed
    Kinyomtatja a terminál sebességét.

time N
    with -icanon, set read timeout of N tenths of a second

  Vezérlő beállítások (control settings):

[-]clocal
    Nem engedélyezi a modem vezérlő jeleit.

[-]cread
    Megengedi a bemenet fogadását.

* [-]crtscts
    Megengedi az RTS/CTS handshaking-et.

csN set character size to N bits, N in [5..8]

[-]cstopb
    Két stopbit használata karakterenként. (`-'-szal csak egy stopbit lesz.)

[-]hup
    Felfüggesztő jel (hangup signal) küldése, amikor az utolsó processz lezárja a tty-t.

[-]hupcl
    Ugyanaz, mint [-]hup.

[-]parenb
    Paritásbit generálása a kimeneten és elfogadása a bemeneten.

[-]parodd
    set odd parity (or even parity with '-')

* [-]cmspar
    use "stick" (mark/space) parity

  Bemeneti beállítások (input settings):

[-]brkint
    A break-ek megszakadás jelet (interrupt signal) eredményeznek.

[-]icrnl
    A kocsivisszát újsorra fordítja.

[-]ignbrk
    A break karakterek figyelmen kívül hagyása.

[-]igncr
    A kocsivisszát (carriage return) figyelmen kívül hagyja.

[-]ignpar
    A paritáshibás karakterek figyelmen kívül hagyása.

* [-]imaxbel
    beep and do not flush a full input buffer on a character

[-]inlcr
    Az újsort (newline) kocsivisszára (carriage return) fordítja.

[-]inpck
    A bemeneti paritásellenőrzés engedélyezése.

[-]istrip
    A bemeneti karakterek magas (8.) bitjének törlése.

* [-]iutf8
    assume input characters are UTF-8 encoded

* [-]iuclc
    A nagybetűket kisbetűre cseréli.

* [-]ixany
    let any character restart output, not only start character

[-]ixoff
    enable sending of start/stop characters

[-]ixon
    Engedélyezi a XON/XOFF vezérlést (flow control).

[-]parmrk
    A paritáshibák megjelölése (255-0 karaktersorozattal).

[-]tandem
    Ugyanaz, mint [-]ixoff.

  Kimeneti beállítások (output settings):

* bsN
    backspace delay style, N in [0..1]

* crN
    carriage return delay style, N in [0..3]

* ffN
    form feed delay style, N in [0..1]

* nlN
    newline delay style, N in [0..1]

* [-]ocrnl
    A kocsivisszát újsorra fordítja.

* [-]ofdel
    Törlő (delete) karaktereket használ a feltöltéshez a `NUL' karakterek helyett.

* [-]ofill
    Kitöltő (padding) karaktereket használ a késleltetéshez az időzítés helyett.

* [-]olcuc
    A kisbetűs karaktereket nagybetűssé alakítja.

* [-]onlcr
    Az újsort kocsivissza-újsorra fordítja.

* [-]onlret
    Az újsor kocsivisszaként viselkedik.

* [-]onocr
    Az első oszlopban nem nyomtat kocsivisszát.

[-]opost
    A kimenet utófeldolgozása.

* tabN
    horizontal tab delay style, N in [0..3]

* tabs
    Ugyanaz, mint tab0.

* -tabs
    Ugyanaz, mint tab3.

* vtN
    vertical tab delay style, N in [0..1]

  Helyi beállítások (local settings):

[-]crterase
    A törlőkaraktert (erase) backspace-space-backspace-ként visszhangozza.

* crtkill
    kill all line by obeying the echoprt and echoe settings

* -crtkill
    kill all line by obeying the echoctl and echok settings

* [-]ctlecho
    echo control characters in hat notation ('^c')

[-]echo
    Visszhangozza a bemeneti karaktereket.

* [-]echoctl
    Ugyanaz, mint [-]ctlecho.

[-]echoe
    Ugyanaz, mint [-]crterase.

[-]echok
    Újsort visszhangoz `kill' karakter után.

* [-]echoke
    Ugyanaz, mint [-]crtkill.

[-]echonl
    Az újsor visszhangozása még akkor is, ha más karaktert nem visszhangoz.

* [-]echoprt
    A `\' és `/' közti törölt karakterek visszafele visszhangozása.

* [-]extproc
    enable "LINEMODE"; useful with high latency links

* [-]flusho
    discard output

[-]icanon
    enable special characters: erase, kill, werase, rprnt

[-]iexten
    Megengedi a nem-POSIX speciális karaktereket.

[-]isig
    Megengedi az `interrupt', `quit' és `suspend' speciális karaktereket.

[-]noflsh
    Az ürítés (flush) letiltása az `interrupt' és `quit' speciális karakterek után.

* [-]prterase
    Ugyanaz, mint [-]echoprt.

* [-]tostop
    A terminálra írni próbáló háttérbeli processzek megállítása.

* [-]xcase
    with icanon, escape with '\' for uppercase characters

  Kombinációs beállítások (combination settings):

* [-]LCASE
    Ugyanaz, mint [-]lcase.

cbreak
    Ugyanaz, mint -icanon.

-cbreak
    Ugyanaz, mint icanon.

cooked
    same as brkint ignpar istrip icrnl ixon opost isig icanon, eof and eol characters to their default values

-cooked
    Ugyanaz, mint raw.

crt Ugyanaz, mint `echoe echoctl echoke'.

dec same as echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    Ugyanaz, mint [-]ixany.

ek  erase and kill characters to their default values

evenp
    Ugyanaz, mint parenb -parodd cs7.

-evenp
    Ugyanaz, mint -parenb cs8.

* [-]lcase
    Ugyanaz, mint `xcase iuclc olcuc'.

litout
    Ugyanaz, mint -parenb -istrip -opost cs8.

-litout
    Ugyanaz, mint parenb istrip opost cs7.

nl  Ugyanaz, mint -icrnl -onlcr.

-nl Ugyanaz, mint icrnl -inlcr -igncr onlcr -ocrnl -onlret.

oddp
    Ugyanaz, mint parenb parodd cs7.

-oddp
    Ugyanaz, mint -parenb cs8.

[-]parity
    Ugyanaz, mint [-]evenp.

pass8
    Ugyanaz, mint -parenb -istrip cs8.

-pass8
    Ugyanaz, mint parenb istrip cs7.

raw Ugyanaz, mint -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0.

-raw
    Ugyanaz, mint cooked.

sane
    same as cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, all special characters to their default values

Handle the tty line connected to standard input. Without arguments, prints baud rate, line discipline, and deviations from stty sane. In settings, CHAR is taken literally, or coded as in ^c, 0x37, 0177 or 127; special values ^- or undef used to disable special characters.

SZERZŐ
Írta David MacKenzie.

HIBÁK JELENTÉSE
A(z) GNU coreutils online súgója: <https://www.gnu.org/software/coreutils/>
Report any translation bugs to <https://translationproject.org/team/>

SZERZŐI JOG
Copyright © 2024 Free Software Foundation, Inc. A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja. NINCS GARANCIA, a törvény által engedélyezett mértékig.

LÁSD MÉG
Teljes dokumentáció <https://www.gnu.org/software/coreutils/stty>
vagy helyileg elérhető: info '(coreutils) stty invocation'

FORDÍTÁS
A kézikönyv magyar fordítását a Horváth András <horvatha@rs1.szif.hu> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..